Modify

Opened 11 years ago

Closed 10 years ago

#503 closed defect (fixed)

RC5: WE800G failsafe mode does not work.

Reported by: Ivoshiee Owned by: developers
Priority: high Milestone: 0.9/rc6
Component: base system Version:
Keywords: Cc:

Description

No methods described at [url]http://wiki.openwrt.org/OpenWrtDocs/Troubleshooting[/url] do not work when I try to activate the failsafe mode. I do get "Msg from 192.168.1.1: Press reset now, to enter Failsafe!" message, but neither pressing the reset after this message for 2,3,4,5,... seconds nor 2 seconds after the power plugging will not bring me into the safemode.

Attachments (0)

Change History (18)

comment:1 Changed 11 years ago by Ivoshiee

This ticket was made by me.

comment:2 Changed 11 years ago by mbm

  • Reporter changed from anonymous to Ivoshiee

The failsafe messages sent via recvmsg are useless if openwrt doesn't know how to read the reset button on that device.

Can you dump your nvram config?

comment:3 Changed 11 years ago by olli

  • Milestone set to 1.0-rc6

comment:4 Changed 11 years ago by Ivoshiee

What specific NVRAM value you need or do you still want the whole NVRAM dump?

comment:5 Changed 11 years ago by Ivoshiee

[code]
wl_radius_port=1812
os_ram_addr=80001000
wl0_frameburst=off
wan_device=vlan1
log_ipaddr=
logonidletimer=10
et0macaddr=00:0C:90:4B:23:02
watchdog=1000
boot_wait=on
wl_phytypes=
wl0_infra=1
fw_disable=0
et0mdcport=0
pppoe_keepalive=0
wl_key3_wp1=
wl_key3_wp2=
wl_gmode_protection_wp1=auto
wl0_key4_wp1=
wl_gmode_protection_wp2=auto
wl0_key4_wp2=
restore_defaults=0
wl_radio_wp1=1
wl_radio_wp2=1
wl0_plcphdr_wp1=long
wl0_plcphdr_wp2=long
wan_lease=86400
GemtekPmonVer=9
wl_radius_ipaddr=
http_wanport=80
wl0_ifname=eth2
lan_domain=
timer_interval=3600
forward_port0=
pppoe_ac=
pppoe_mtu=1500
wl0_key_input_method_wp1=0
wl_key1_wp1=
wl0_key_input_method_wp2=0
wl_key1_wp2=
wl0_key2_wp1=
wl_passphrase_wp1=motorola
wl0_key2_wp2=
wl_passphrase_wp2=motorola
wl0_mode=wet
wan_gateway=0.0.0.0
dhcp_start=192.168.1.100
wl0_country_wp1=USA
wl0_country_wp2=USA
wl_profile=1
dhcp_end=192.168.1.150
os_flash_addr=bfc40000
wl0_gmode=1
boardtype=bcm94710dev
wl_auth_wp1=0
wl_auth_wp2=0
wl_gmode=1
et1macaddr=00:0C:E5:46:0C:04
stats_server=
static_route=
ModelId=WE800G
lan_netmask=255.255.255.0
http_username=admin
wl0_ssid=OpenWrt
wl0_dtim=3
et1mdcport=1
os_date=Aug 4 2003
FirmwareVersion=v2.0 Aug 05, 2003
http_lanport=80
wl_plcphdr=long
wl_macmode=disabled
wl0_profile=1
wan_domain=
wan_hwname=
wl_phytype=b
lan_lease=86400
wan_netmask=255.255.255.0
wl0_key1=
wl_key_input_method=0
wl_lazywds=0
wl0_key2=
wl0_key3=
wl0_ssid_wp1=
wl0_key4=
wl0_ssid_wp2=
filter_client0=
move_to_defaults=0
filter_maclist=
wl_auth_mode=disabled
wl_key_wp1=1
wl_key_wp2=1
wl_wpa_psk=
http_passwd=motorola
wl_network_type=infra
lan_stp=0
wl_mode=sta
server_ipaddr=192.168.30.1
wl0_plcphdr=long
wl0_closed=0
wl0_rate=0
wl_wpa_gtk_rekey=0
wl0_macmode=disabled
wl0_radioids=BCM2050
wl0_phytype=g
wl0_lazywds=0
wl_wpa_psk_wp1=
wl_wpa_psk_wp2=
wl0_key_input_method=0
lan_hwaddr=00:0C:90:4B:23:02
wan_dns=
wl0_key_wp1=1
wl0_channel_wp1=11
wl0_key_wp2=1
wl_dtim=3
wl_ssid=
wl0_channel_wp2=11
wl0_wpa_psk=
wl_auth_mode_wp1=disabled
wl_auth_mode_wp2=disabled
wl_key_strength_wp1=128
wl_key_strength_wp2=128
wl_passphrase=motorola
dhcp_wins=wan
os_server=
wl_frag_wp1=2346
wl0_gmode_protection_wp1=auto
wl_frag_wp2=2346
wl_key1=
wan_proto=static
wl0_gmode_protection_wp2=auto
wl_key2=
wl_key3=
wl0_unit=0
wl_key4=
wl_hwaddr=
wl_network_type_wp1=infra
wl_network_type_wp2=infra
DefaultEthPort=1
wl0_wds=
wl_rate=0
log_level=0
ntp_server=192.5.41.40 192.5.41.41 133.100.9.2
wan_hwaddr=00:0C:E5:46:0C:04
wl0_rateset_wp1=default
wl0_key_strength_wp1=128
wl0_rateset_wp2=default
wl0_key_strength_wp2=128
lan_ifnames=eth1 eth2
pppoe_ifname=
wl0_auth=0
wl0_radius_port=1812
Passphrase_key_11i_wp1=
wl0_radius_ipaddr=
pppoe_service=
wl_country=USA
wl0_key_strength=128
wl_key4_wp1=
wl_key4_wp2=
wl_rateset=default
wl_plcphdr_wp1=long
wl_plcphdr_wp2=long
wl0_network_type_wp1=infra
Passphrase_key_11i=
wl0_network_type_wp2=infra
wl0_frameburst_wp1=off
wl_radius_key=
lan_proto=static
os_name=linux
lan_ipaddr=192.168.1.1
clkfreq=125
wl0_frameburst_wp2=off
wl_closed_wp1=0
wl_closed_wp2=0
wl_unit=0
wl0_phytypes=g
router_disable=1
wl0_frag=2346
wl0_wep=off
login_addr=192.168.30.124
pppoe_passwd=
Enable802_1x_wp1=0
wl_key2_wp1=
sdram_config=0x0000
Enable802_1x_wp2=0
wl_key2_wp2=
wl0_country=USA
wl0_key3_wp1=
wl_rts_wp1=2347
dmz_ipaddr=
wl0_key3_wp2=
wl_rts_wp2=2347
wl_wds=
wl_country_wp1=USA
scratch=a0180000
wl_country_wp2=USA
NeedReboot=0
wl0_rateset=default
pppoe_idletime=60
lan_ifname=br0
sdram_refresh=0x8040
dhcp_domain=wan
wl_wep_wp1=off
wl_auth=0
sdram_ncdl=0x00000000
wl_wep_wp2=off
login_msg=
wl0_key1_wp1=
wl0_key1_wp2=
wl_frameburst=off
wl0_rts_wp1=2347
wan_ipaddr=192.168.30.1
wl0_rts_wp2=2347
wl0_passphrase=motorola
wl0_rts=2347
wl_ifname=
wan_wins=
wl_ssid_wp1=
EVENTLOGENABLE1=1
wl_wep=off
wl_ssid_wp2=
EVENTLOGENABLE2=1
wl0_auth_wp1=0
EVENTLOGENABLE3=1
pppoe_username=
os_version=3.31.12.0
wl0_auth_wp2=0
wl_gmode_protection=auto
wl0_wpa_gtk_rekey=0
wl0_radio_wp1=1
wl0_radio_wp2=1
wl_frameburst_wp1=off
wl_frag=2346
wl_frameburst_wp2=off
wl0_key=1
wl0_wep_wp1=off
wl0_wep_wp2=off
wl_maclist=
filter_macmode=deny
console_loglevel=1
et0phyaddr=30
time_zone=PST8PDT
Enable802_1x=0
wan_ifname=eth1
wl_key_input_method_wp1=0
wl_radioids=
wl_key_input_method_wp2=0
wan_hostname=
wl_corerev=
wl0_radio=1
wl0_auth_mode_wp1=disabled
wl0_auth_mode_wp2=disabled
wl_channel=11
wl0_bcn=100
wl_radio=1
wl0_hwaddr=00:0C:E5:46:0C:04
wl_channel_wp1=11
wl0_gmode_protection=auto
wl_channel_wp2=11
wl0_maclist=
wl_rts=2347
sdram_init=0x0419
lan_wins=
lan_hwnames=
dl_ram_addr=a0001000
pppoe_demand=0
wl0_radius_key=
wl0_closed_wp1=0
wl0_wpa_psk_wp1=
wl0_corerev=4
wl0_closed_wp2=0
wl0_wpa_psk_wp2=
wl_key=1
pppoe_mru=1500
wl0_channel=11
wl_key_strength=128
upnp_enable=0
wl0_network_type=infra
wl_closed=0
wl0_auth_mode=disabled
et1phyaddr=0
autofw_port0=
boardnum=2
wl0_frag_wp1=2346
wl_bcn=100
wl0_frag_wp2=2346
wl_rateset_wp1=default
wl0_passphrase_wp1=motorola
wl_rateset_wp2=default
wl0_passphrase_wp2=motorola

code

comment:6 Changed 10 years ago by nbd

Please use the GPIO utility from http://downloads.openwrt.org/people/nbd/tmp/gpio to figure out which GPIO the reset button is on...

comment:7 Changed 10 years ago by toastbreak@…

This problem is also the case for the WA840G model that is very similar.

comment:8 Changed 10 years ago by Ivoshiee

WE800G: pin 0 is the reset and pin 1 is the device LED.

comment:9 Changed 10 years ago by Ivoshiee

Correction WE800G:
Pin 0 is the reset button.
Pin 2 is the status of a device LED.

Disabling pin 1 will make the wireless LED amber.
Enabling pin 1 will turn the wireless LED off.
Disabling pin 3 will make the power LED to flash.
Enabling pin 3 will turn off the power LED.
Disabling pin 4 will make the power LED green.
Enabling pin 4 will turn the power LED red.

comment:10 Changed 10 years ago by florian

Can you have a try at latest diag version commited in [5421]

comment:11 Changed 10 years ago by Ivoshiee

11/03/06 19:35:36: Modified by florian

Can you have a try at latest diag version commited in [5421]

Do you mean that I should try the latest pre-RC6?

comment:12 Changed 10 years ago by Ivoshiee

Tried (http://wiki.openwrt.org/OpenWrtDocs/Troubleshooting#head-fbf73e116e7f5abd53528e268e00b6e8f7c4c884) on pre-RC6 (openwrt-brcm-2.4-squashfs.trx 04-Nov-2006 21:46 1.5M ), but with no success.

comment:13 Changed 10 years ago by Ivoshiee

Even the released RC6 does make no difference.

comment:14 Changed 10 years ago by nbd

Does repeatedly pressing reset while booting the device bring you in failsafe mode on RC6?

comment:15 Changed 10 years ago by anonymous

Does repeatedly pressing reset while booting the device bring you in failsafe mode on RC6?

What do you mean by repeatedly pressing?
The instructions mention no repeated reset pressing:

"Msg from 192.168.1.1: Press reset now, to enter Failsafe!

Immediately press and hold the reset button for 2 seconds. If successful the following message appears:

Msg from 192.168.1.1: Entering Failsafe!"

Has something changed with the RC6?

comment:16 Changed 10 years ago by Ivoshiee

Doesn't the device misdetection play a role here?
http://forum.openwrt.org/viewtopic.php?pid=36848#p36848

comment:17 Changed 10 years ago by Ivoshiee

A little update to the WE800G GPIO LED control:
5=disable 7=disable wireless LED is amber;
5=disable 7=enable wireless LED is red;
5=enable 7=disable wireless LED is green;
5=enable 7=enable wireless LED is off;

Disabling pin 1 will turn wireless LED on (if 5 and 7 are not enabled).
Enabling pin 1 will turn the wireless LED off.

3=disable 4=disable power LED is (green/red) amber;
3=disable 4=enable power LED is blinking red;
3=enable 4=disable power LED is green;
3=enable 4=enable power LED is off;

Pin 2 is the status of a device LED, manual setting of it will play no role.
Pin 0 is the reset button, manual setting of it will play no role:
poll status of pin 0=01 is reset button not pressed (up);
poll status of pin 0=00 is reset button pressed (down);

comment:18 Changed 10 years ago by mbm

  • Resolution set to fixed
  • Status changed from new to closed

Fixed as of RC6

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.